Package org.eclipse.microprofile.openapi.apps.airlines.resources

# Class ZepplinResource

java.lang.Object
org.eclipse.microprofile.openapi.apps.airlines.resources.ZepplinResource

@Path("/zepplins") public class ZepplinResource extends Object

## Constructor Summary

Constructors
Constructor
Description
`ZepplinResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`deprecateZepplin(String string)`
`jakarta.ws.rs.core.Response`
`getZepplin()`
`jakarta.ws.rs.core.Response`
`headZepplin()`
`jakarta.ws.rs.core.Response`
`postZepplin(List<String> zeeplinUsers)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZepplinResource

public ZepplinResource()

## Method Details

### deprecateZepplin

@DELETE @Produces("text/plain") public jakarta.ws.rs.core.Response deprecateZepplin(String string)

### headZepplin

@HEAD @Produces("text/plain") public jakarta.ws.rs.core.Response headZepplin()

### getZepplin

@GET @Produces("text/plain") public jakarta.ws.rs.core.Response getZepplin()

### postZepplin

@POST @Produces("text/plain") @Consumes("multipart/form-data") public jakarta.ws.rs.core.Response postZepplin(List<String> zeeplinUsers)